Add an existing call to a memory
curl --request POST \
--url https://api.cleartalk.ai/memory/{id}/add-call \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"call_id": "call_abc123",
"external_memory_key": "external_key_123"
}
'import requests
url = "https://api.cleartalk.ai/memory/{id}/add-call"
payload = {
"call_id": "call_abc123",
"external_memory_key": "external_key_123"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({call_id: 'call_abc123', external_memory_key: 'external_key_123'})
};
fetch('https://api.cleartalk.ai/memory/{id}/add-call', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Memory
Add an existing call to a memory
POST
/
memory
/
{id}
/
add-call
Add an existing call to a memory
Authorizations
API Key for authentication
Path Parameters
Body
application/json
Response
Call added to memory successfully
Remove a specific user/phone number and all their associated data from a memoryRemove a specific call from a memory
⌘I
